%define name   meanwhile 
%define version 1.0.2
%define release %mkrel 4
%define Summary  Lotus Sametime Community Client library

%define lib_name_orig lib%{name}
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_devel %mklibname %{name} -d

Summary:        %Summary
Summary(de):	Bibliothek für die Lotus Sametime connectivity
Name:           %name
Version:        %version
Release:        %release
License:	LGPL
Group:		System/Libraries
URL:		http://meanwhile.sourceforge.net/
Source: 	http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.xz
Patch0:		meanwhile-1.0.2-fix-str-fmt.patch
Patch1:		http://ie.archive.ubuntu.com/gentoo-portage/net-libs/meanwhile/files/meanwhile-1.0.2-presence.patch
Patch2:		%{name}_glib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel >= 2.2
BuildRequires:	doxygen

%description
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.
#german
%description -l de
Das Herz des Meanwhile Projektes ist die Meanwhile Bibliothek, unterstützt 
die Basis der Lotus Sametime Session Funktionalität weiter mit den 
Kerndiensten; Anwesenheit, Benachrichtigung, Konferenz und Speicherung. 
Diese erweiterbare Clienten Schnittstelle erlaubt es zusätzliche Dienste 
während der laufenden Sitzung hinzuzufügen, sowie auch die einfache 
Integration von zukünftigen Diensten wie whiteboard, teilen des Bildschirms 
und Datentransfer. 

%package -n %{lib_name}
Summary: Library used for Lotus Sametime connectivity
Summary(de): Bibliothek für die Lotus Sametime connectivity
Group: Development/C
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
The heart of the Meanwhile Project is the Meanwhile library, providing the
basic Lotus Sametime session functionality along with the core services;
Presence, Messaging, Conferencing, and Storage. This extensible client
interface allows additional services to be added to a session at runtime,
allowing for simple integration of future service handlers such as
whiteboard, screen-sharing, and file transfer.
#german
%description -n %{lib_name} -l de
Das Herz des Meanwhile Projektes ist die Meanwhile Bibliothek, unterstützt 
die Basis der Lotus Sametime Session Funktionalität weiter mit den 
Kerndiensten; Anwesenheit, Benachrichtigung, Konferenz und Speicherung. 
Diese erweiterbare Clienten Schnittstelle erlaubt es zusätzliche Dienste 
während der laufenden Sitzung hinzuzufügen, sowie auch die einfache 
Integration von zukünftigen Diensten wie whiteboard, teilen des Bildschirms 
und Datentransfer. 

%package -n %{lib_devel}
Summary: Header files and libraries for %{name}
Summary(de): Bibliothek und Headerdateien für %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}%{name}1-devel

%description -n %{lib_devel}
This package contains the header files and static libraries for %{name}.
If you would like to develop programs using %{name}, you will need to
install %{name}-devel.
#german
%description -n %{lib_devel} -l de
Dieses Paket enthält die Headerdateien und statischen Bibliotheken für 
meanwhile. Wenn du Programme entwickeln möchtest die meanwhile 
verwenden musst du meanwhile-devel installieren.

%package -n %{name}-doc
Summary: Documentation for the %{name} library
Summary(de): Dokumentation für die meanwhile Bibliothek
Group: Books/Computer books
Obsoletes: %{_lib}%{name}1-doc
Provides: %{_lib}%{name}1-doc

%description -n %{name}-doc
Documentation for the %{name} library. 
#german
%description -n %{name}-doc -l de
%{summary}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig


%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_libdir}/libmeanwhile.so.%{lib_major}*

%files -n %{lib_devel}
%defattr(-, root, root)
%{_includedir}/meanwhile
%{_libdir}/libmeanwhile.la
%{_libdir}/libmeanwhile.so
%{_libdir}/pkgconfig/meanwhile.pc

%files -n %{name}-doc
%defattr(-,root,root)
%{_datadir}/doc/%{name}-doc-%{version}/


%changelog
* Mon Mar 26 2012 Neal <nealbrks0 at gmail dot com> 1.0.2-4pclos2012
- process

* Mon Mar 26 2012 leiche <meisssw01 at gmail.com> 1.0.2-4pclos2012
- add glib patch for build pidgin 2.10.3
- add german description

* Wed Jun 16 2010 Texstar <texstar at gmail.com> 1.0.2-3pclos2010
- update for 2010 release

